// This class represents a Surgeon at 
// a particular hospital. It extends the Doctor class. 
public class Surgeon extends Doctor {
    
    // Constructs a Surgeon whose assigned hospital
    // is the given hospital.
    public Surgeon(String hospital) {
        super(hospital);
    }

    // Prints out that this surgeon is entering surgery.
    public void performSurgery() {
        System.out.println("Entering surgery");
    }

    // Returns a string representation of this Surgeon,
    // including what hospital they work at.
    public String toString() {
        return "Surgeon at " + getHospital();
    }
}
