import java.util.*;

public class TVShow {
    // "state", data to store about each TVShow Object
    // Note: this is an example set, your answers can be different
    private String title;
    private List<String> cast;
    private List<String> episodes;
    private List<Integer> ratings;

    // constructors
    // the data and initial state of the Object at creation
    public TVShow(String title, List<String> cast) {
        this.title = title;
        this.cast = cast;
        this.episodes = new ArrayList<String>();
        this.ratings = new ArrayList<Integer>();
    }

    public TVShow(String title) {
        this(title, new ArrayList<String>());
    }

    // "behavior", the set of functionality each TVShow Object should have
    // Note: this is an example set, your answers can be different
    public void addEpisode(String episodeTitle) {
        episodes.add(episodeTitle);
    }
    
    public List<String> getEpisodes() {
        return episodes;
    }

    public int getNumEpisodes() {
        return episodes.size();
    }

    public List<String> getCast() {
        return cast;
    }

    public void addCastMember(String person) {
        cast.add(person);
    }

    public String toString() {
        return title + " starring: " + cast;
    }

    public void addRating(int score) {
        ratings.add(score);
    }

    public int getNumRatings() { 
        return ratings.size();
    }

    public double getAverageRating() {
        int total = 0;
        for (int score : ratings) {
            total += score;
        }
        return (double)total / ratings.size();
    }
}
